Subject: bug#8334: Segmentation fault in mark_object (in my patched version)

From: Lennart Borgman <[email-masked]>
Date: Thu, 24 Mar 2011 15:48:16 +0100

On Thu, Mar 24, 2011 at 3:42 PM, Stefan Monnier
<[email-masked]> wrote:
>> The present bug is reported from a modified version of Emacs, but with
>> no test case, no description of events leading to the crash, and an
>> uninformative backtrace.  For all we know, it is due to your own
>> unspecified changes.  So it is more profitable for Emacs developers to
>> work on the bugs in our tree that need attention.
>
> Actually, this is not the main reason, AFAIC.  The problem is that we
> simply have no way to debug it.  Especially for a bug that causes
> a segfault in the GC, i.e. a bug that apparently causes memory
> corruption and could hence be anywhere.

True. However I am reporting such bugs because I believe there might
be a race condition caused by bad thread coordination behind it. But
of course this is just a guess. However as long as we do not have take
all possible actions to avoid this I think it is a reasonable guess.